﻿using System;
using System.Collections.Generic;
using System.Collections.ObjectModel;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows;

namespace XDGTemplateFieldMultipleElementsDemo
{
    public class ViewModel
    {
        public Thickness VMMargin { get; set; }
        public string VMText { get; set; }
        public ObservableCollection<SampleData> Data { get; set; }

        public ViewModel()
        {
            Data = new ObservableCollection<SampleData>();
            VMMargin = new Thickness(5);
            VMText = "Text From ViewModel!";
            for(int i=0; i<3; i++)
            {
                Data.Add(new SampleData()
                {
                     ID = i
                });
            }                          
        }    
    }

    public class SampleData
    {
        public int ID { get; set; }
    }
}
